%define url_ver	%(echo %{version}|cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Smart bookmarks for the Xfce panel
Name:		xfce4-smartbookmark-plugin
Version:	0.5.3
Release:	%mkrel 1
Group:		Graphical desktop/Xfce
License:	GPLv2+
URL:		https://docs.xfce.org/panel-plugins/xfce4-smartbookmark-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Patch50:	xfce4-smartbookmark-plugin-mga-bugzilla.patch
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.16.0
Requires:	xfce4-panel >= 4.16.0

%description
A plugin which allows you to do a search directly on Internet on sites like
Google. It allows you to send requests directly to your browser and perform
custom searches.

%prep
%setup -q
%autopatch -p1

%build
#to fix debug symbols build
%xdt_autogen
%configure \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README*
%{_libdir}/xfce4/panel/plugins/libsmartbookmark.so
%{_datadir}/xfce4/panel/plugins/smartbookmark.desktop


%changelog
* Wed Dec 25 2024 wally <wally> 0.5.3-1.mga10
+ Revision: 2130085
- new version 0.5.3

* Mon Apr 04 2022 umeabot <umeabot> 0.5.2-2.mga9
+ Revision: 1843422
- Mageia 9 Mass Rebuild

* Fri Dec 25 2020 wally <wally> 0.5.2-1.mga8
+ Revision: 1663577
- new version 0.5.2

* Sat Oct 31 2020 wally <wally> 0.5.1-3.mga8
+ Revision: 1640999
- add upstream patch to fix build with xfce4-panel 4.15
- update URL

* Sat Feb 15 2020 umeabot <umeabot> 0.5.1-2.mga8
+ Revision: 1528213
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 13 2019 wally <wally> 0.5.1-1.mga8
+ Revision: 1429162
- new version 0.5.1

* Sun Sep 23 2018 umeabot <umeabot> 0.5.0-2.mga7
+ Revision: 1301882
- Mageia 7 Mass Rebuild

* Sat Sep 30 2017 wally <wally> 0.5.0-1.mga7
+ Revision: 1161992
- new version 0.5.0
- switch to gtk3

* Wed Feb 17 2016 umeabot <umeabot> 0.4.6-3.mga6
+ Revision: 963582
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 wally <wally> 0.4.6-2.mga6
+ Revision: 881812
- fix debug symbols build

* Sun Jun 21 2015 wally <wally> 0.4.6-1.mga6
+ Revision: 837966
- new version 0.4.6
- drop upstreamed patches
- rediff Mga bugzilla patch

* Tue Mar 03 2015 wally <wally> 0.4.5-7.mga5
+ Revision: 817455
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 0.4.5-6.mga5
+ Revision: 750628
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.5-5.mga5
+ Revision: 730738
- rebuild for missing pythoneggs deps

* Sun Sep 21 2014 umeabot <umeabot> 0.4.5-4.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.5-3.mga4
+ Revision: 521867
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 wally <wally> 0.4.5-2.mga3
+ Revision: 392159
- add patch from upstream git to not create zombies (xfce#9791)

* Mon Jan 21 2013 wally <wally> 0.4.5-1.mga3
+ Revision: 390554
- new version 0.4.5
- search from mga bugzilla by default
- exclude plugin .so from provides
- clean .spec
- imported package xfce4-smartbookmark-plugin


* Sun Apr 15 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.4-1
+ Revision: 791179
- update to new version 0.4.4
- spec file clean

  + Matthew Dawkins <mattydaw@mandriva.org>
    - added missing BR

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-12mdv2010.1
+ Revision: 543437
- rebuild for mdv 2010.1

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.4.2-11mdv2010.0
+ Revision: 446134
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-10mdv2009.1
+ Revision: 349478
- rebuild for xfce-4.6.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-9mdv2009.1
+ Revision: 295027
- rebuild for new Xfce4.6 beta1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.4.2-7mdv2009.0
+ Revision: 256940
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-5mdv2008.1
+ Revision: 110137
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING file
- use upstream name

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.4.2-4mdv2008.0
+ Revision: 36216
- rebuild with correct optflags

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - provide P0 (search in mandriva bugzilla)

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-2mdv2008.0
+ Revision: 34778
- correct requires

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-1mdv2008.0
+ Revision: 34696
- Import xfce-smartbookmark-plugin

